CNaughtCNaught
PricingSign In

Get Subaccount By Id

Returns information about a subaccount

GET/subaccounts/{id}

Authorizations#

Authorization

string

header

required

Bearer authentication header of the form Bearer <token>, where <token> is your CNaught API key.

Path Parameters#

id

string

required

ID of subaccount to return / modify

Response#

200

Subaccount Details

Create Subaccount

Get Subaccount By Id

curl --request GET \
  --url https://api.cnaught.com/v1/subaccounts/<id> \
  --header 'Authorization: Bearer <token>'
{
  "id": "5nubL0NS",
  "name": "Marketing Department",
  "email": "jane.doe@example.com",
  "default_portfolio_id": "mHvNvWbq",
  "logo_url": "https://customer-assets.cnaught.com/fe0df075-30e2-4e58-9feb-154e72a9205f/subaccount_logo.png"
}